clear all
local rootDir "/Users/~/data_jep"

* Data source: Cited publications and author calculations

* Panel A - Labor supply impacts

use "`rootDir'/data/fig_2a.dta", clear

gen lowerlimit=coefficient_percent-1.645*se_percent
gen upperlimit=coefficient_percent+1.645*se_percent

twoway bar coefficient_percent position if(male==1), fcolor(gs2) barwidth(0.9) || ///
	bar coefficient_percent position if(male==0), fcolor(gs10) barwidth(0.9) || ///
	bar coefficient_percent position if(male==2), fcolor(gs6) barwidth(0.9) || ///
	rcap lowerlimit upperlimit position, lcolor(gs2) lwidth(thin) || , ///
	ylabel(-50(50)250, labsize(small)) ///
	xlabel(none, labsize(small)) ///
	ytitle("Main coefficient (as percent of sample mean)", size(medium) margin(medsmall)) ///
	xtitle("", size(small) margin(small)) ///
	yline(0, lwidth(vthin) lcolor(gs10)) ///
	plotr(margin(3 3 4 2)) ///
	scheme(s1mono) ///
	xsize(8) ysize(4) ///
	legend(size(medsmall) label(1 "Male") label(2 "Female") label(3 "Both") label(4 "90% confidence interval") ///
	order(1 2 3 4) symx(9) region(fcolor(none) lstyle(none)) position(1) ring(0) rows(4))

graph export "`rootDir'/fig_2/fig_2a.png", replace

* Panel B - Education impacts

use "`rootDir'/data/fig_2b.dta", clear

gen lowerlimit=coefficient_percent-1.645*se_percent
gen upperlimit=coefficient_percent+1.645*se_percent

twoway bar coefficient_percent position if(male==1), fcolor(gs2) barwidth(0.9) || ///
	bar coefficient_percent position if(male==0), fcolor(gs10) barwidth(0.9) || ///
	bar coefficient_percent position if(male==2), fcolor(gs6) barwidth(0.9) || ///
	rcap lowerlimit upperlimit position, lcolor(gs2) lwidth(thin) || , ///
	ylabel(-20(20)120, labsize(small)) ///
	xlabel(none, labsize(small)) ///
	ytitle("Main coefficient (as percent of sample mean)", size(medium) margin(medsmall)) ///
	xtitle("", size(small) margin(small)) ///
	yline(0, lwidth(vthin) lcolor(gs10)) ///
	plotr(margin(3 3 4 2)) ///
	scheme(s1mono) ///
	xsize(8) ysize(4) ///
	legend(size(medsmall) label(1 "Male") label(2 "Female") label(3 "Both") label(4 "90% confidence interval") ///
	order(1 2 3 4) symx(9) region(fcolor(none) lstyle(none)) position(1) ring(0) rows(4))

graph export "`rootDir'/fig_2/fig_2b.png", replace



