clear all
local rootDir "/Users/~/data_jep"

use "`rootDir'/data/fig_A2.dta", clear

* Data source: Cited publications and author calculations

gen lowerlimit=coefficient_percent-1.645*se_percent
gen upperlimit=coefficient_percent+1.645*se_percent
* showing the 90% confidence interval

twoway bar coefficient_percent position if(nonag==1), fcolor(gs2) barwidth(0.9) || ///
	bar coefficient_percent position if(nonag==0), fcolor(gs10) barwidth(0.9) || ///
	bar coefficient_percent position if(nonag==2), fcolor(gs6) barwidth(0.9) || ///
	rcap lowerlimit upperlimit position, lcolor(gs2) lwidth(thin) || , ///
	ylabel(-50(25)175, labsize(small)) ///
	xlabel(none, labsize(small)) ///
	ytitle("Main coefficient (as percent of sample mean)", size(medium) margin(medsmall)) ///
	xtitle("", size(small) margin(small)) ///
	yline(0, lwidth(vthin) lcolor(gs10)) ///
	plotr(margin(3 3 4 2)) ///
	scheme(s1mono) ///
	xsize(8) ysize(4) ///
	legend(size(medsmall) label(1 "Non-Farm") label(2 "Farm") label(3 "Both") label(4 "90% confidence interval") ///
	order(2 1 3 4) symx(9) region(fcolor(none) lstyle(none)) position(1) ring(0) rows(4))

graph export "`rootDir'/fig_A2/fig_A2.png", replace

	
